package com.nokia.finance.tasks.pojo.po.car_report;

import lombok.Data;

import java.time.LocalDateTime;

@Data
public class CarWgPo {
    /**
     * 车辆所属单位
     */
    private String cheLiangSuoShuDanWei;

    /**
     * 车牌号
     */
    private String chePaiHao;

    /**
     * 车辆类型
     */
    private String cheLiangLeiXing;

    /**
     * 车辆使用性质
     */
    private String cheLiangShiYongXingZhi;

    /**
     * 报警区域描述
     */
    private String baoJingQuYuMiaoShu;

    /**
     * 报警规则描述
     */
    private String baoJingGuiZeMiaoShu;

    /**
     * 越界时间
     */
    private LocalDateTime yueJieShiJian;

    /**
     * 是否执行中越界
     */
    private String shiFouZhiXingZhongYueJie;

    /**
     * 详情
     */
    private String xiangQing;

    /**
     * 地市
     */
    private String firstUnit;

    /**
     * 二级单位
     */
    private String secondUnit;

    /**
     * 网格
     */
    private String thirdUnit;

    /**
     * 数据年月
     */
    private Integer yearMonth;

    /**
     * 地市组织机构编码
     */
    private String areaNo;

    /**
     * 地市组织机构名称
     */
    private String areaName;

    /**
     * 区县组织机构编码
     */
    private String cityNo;

    /**
     * 区县组织机构名称
     */
    private String cityName;
}
