package com.nokia.finance.tasks.pojo.po.common;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@NoArgsConstructor
@Data
@TableName("common.request_log")
public class RequestLogPo {
    /**
     * 请求时间
     */
    private LocalDateTime requestTime;

    /**
     * 账号，从token解密
     */
    private String loginId;

    /**
     * 页面url，从token解密
     */
    private String pageUrl;

    /**
     * 接口url
     */
    private String api;

    /**
     * 请求参数
     */
    private String requestParameters;

    /**
     * 请求头
     */
    private String headers;

    /**
     * 应用id，从token解密
     */
    private String appId;

    /**
     * 时间戳，从token解密
     */
    private LocalDateTime timeStamp;

    /**
     * 访问令牌
     */
    private String token;
    /**
     * 过期秒数，从token解密
     */
    private Integer expireTime;
    /**
     * 过期时间
     */
    private LocalDateTime expireTimeStamp;
}
