//package com.nokia.finance.tasks.utils;
//
//import lombok.extern.slf4j.Slf4j;
//import net.sourceforge.pinyin4j.PinyinHelper;
//import net.sourceforge.pinyin4j.format.HanyuPinyinCaseType;
//import net.sourceforge.pinyin4j.format.HanyuPinyinOutputFormat;
//import net.sourceforge.pinyin4j.format.HanyuPinyinToneType;
//import net.sourceforge.pinyin4j.format.HanyuPinyinVCharType;
//import org.springframework.util.StringUtils;
//
//@Slf4j
//public class PinYinUtil {
//    /**
//     * 汉字转拼音
//     */
//    public static String convert(String str) {
//        if (!StringUtils.hasText(str)) {
//            return "";
//        }
//        char[] chars = str.toCharArray();
//        HanyuPinyinOutputFormat format = new HanyuPinyinOutputFormat();
//        format.setToneType(HanyuPinyinToneType.WITHOUT_TONE);
//        format.setVCharType(HanyuPinyinVCharType.WITH_V);
//        format.setCaseType(HanyuPinyinCaseType.LOWERCASE);
//        StringBuilder sb = new StringBuilder();
//        for (char c : chars) {
//            if (Character.toString(c).matches("[\\u4e00-\\u9fa5]+")) {
//                try {
//                    String[] pinyinArray = PinyinHelper.toHanyuPinyinStringArray(c, format);
//                    if (pinyinArray != null && pinyinArray.length > 0) {
//                        sb.append(pinyinArray[0]);
//                        sb.append(" ");
//                    } else {
//                        sb.append(c);
//                        sb.append(" ");
//                    }
//                } catch (Exception e) {
//                    log.info(e.getMessage(), e);
//                }
//            }
//        }
//        return sb.toString();
//    }
//}
