package com.nokia.finance.tasks.dao.car;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;
import java.util.Set;

@Mapper
public interface CarGongCheShouFeiDao {
    @Select("""
select distinct xing_ming, first_unit from car.car_jiao_tong_bu_tie_month where year_month >= #{yearMonth}
""")
    List<Map<String, String>> getStaffs(@Param("yearMonth") Integer yearMonth);

    @Select("""
select distinct card_num from car_theme.wz_f_spc_car where is_spec = '1'
""")
    Set<String> getSpecialCar();
}
