package com.nokia.finance.tasks.pojo.po.house_report;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@NoArgsConstructor
@Data
public class HouseBuildingStatPo {
    /**
     * 二级组织机构编码
     */
    private String areaNo;
    /**
     * 二级组织机构名称
     */
    private String areaName;
    /**
     * 房产数量
     */
    private Integer fcsl;
    /**
     * 总面积
     */
    private BigDecimal zmj;
    /**
     * 核心商圈
     */
    private BigDecimal hxsq;
    /**
     * 一般商圈
     */
    private BigDecimal ybsq;
    /**
     * 乡镇乡村
     */
    private BigDecimal xzxc;
    /**
     * 自用面积
     */
    private BigDecimal zymj;
    /**
     * 出租面积
     */
    private BigDecimal czmj;
    /**
     * 闲置面积
     */
    private BigDecimal xzmj;
    /**
     * 闲置率
     */
    private BigDecimal xzl;
    /**
     * 资产原值
     */
    private BigDecimal zcyz;
}
