package com.nokia.finance.tasks.pojo.vo.car_report;

import lombok.Data;

@Data
public class CarReportVo {
    public static final String PLACEHOLDER = "X";
    private Integer endYearMonth;
    /**
     * 上个报告年
     */
    private String lastReportYear;
    /**
     * 报告年
     */
    private String reportYear;
    /**
     * 报告月
     */
    private String reportMonth;
    /**
     * 当前年
     */
    private String currentYear;
    /**
     * 当前月
     */
    private String currentMonth;
    /**
     * 车辆概况
     */
    private CarClgkVo clgk;
    /**
     * 车辆费用
     */
    private CarClfyVo clfy;
    /**
     * 异常燃油费
     */
    private CarYcryfVo ycryf;
    /**
     * 自有车辆异常维修费
     */
    private CarZyycwxVo zyycwx;
    /**
     * 租赁车辆异常维修费
     */
    private CarZlycwxVo zlycwx;
    /**
     * 车辆低效
     */
    private CarCldxVo cldx;
    /**
     * 违规用车
     */
    private CarWgycVo wgyc;
    /**
     * 违章处理异常
     */
    private CarWzclycVo wzclyc;
}
