package com.nokia.finance.tasks.pojo.vo.car_report;

import com.nokia.finance.tasks.pojo.po.car_report.CarZlwxycPo;
import lombok.Data;
import org.springframework.util.CollectionUtils;

import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.List;

@Data
public class CarZlycwxVo {
    /**
     * 租赁车辆维修费异常个数
     */
    private String total;
    /**
     * 租赁车辆维修费异常
     */
    private List<CarZlwxycVo> zlwxycList;

    public CarZlycwxVo(List<CarZlwxycPo> zlwxycList) {
        this.zlwxycList = new ArrayList<>();
        if (CollectionUtils.isEmpty(zlwxycList)) {
            this.total = "0";
            this.zlwxycList.add(new CarZlwxycVo());
        } else {
            DecimalFormat integerFormat = new DecimalFormat("#,###");
            for (CarZlwxycPo carZlwxycPo : zlwxycList) {
                this.zlwxycList.add(new CarZlwxycVo(carZlwxycPo));
            }
            this.total = integerFormat.format(this.zlwxycList.size());
        }
    }
}
