package com.nokia.finance.tasks.pojo.vo.house_report;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Stream;

@Data
public class HouseCqqfczhtjkclVo {
    /**
     * 全省超3个月出租欠费总额
     */
    private String qfjzgt3;
    /**
     * 欠费较高单位
     */
    private String qfjgUnit;
    /**
     * 欠费客户主要为
     */
    private String qfkh;
    /**
     * 欠费账龄已超1年单位
     */
    private String qfgt12Unit;
    /**
     * 表格
     */
    private List<HouseCqqfczhtjkclTableVo> table;

    public HouseCqqfczhtjkclVo() {
        this.qfjzgt3 = HouseReportVo.PLACEHOLDER;
        this.qfjgUnit = HouseReportVo.PLACEHOLDER;
        this.qfkh = HouseReportVo.PLACEHOLDER;
        this.qfgt12Unit = HouseReportVo.PLACEHOLDER;
        this.table = new ArrayList<>();
        List<String> unitList = Stream.of("石家庄", "唐山", "秦皇岛", "邯郸", "邢台", "保定", "张家口", "承德",
                "廊坊", "沧州", "衡水", "雄安", "省机动局", "省本部", "全省").toList();
        for (String unit : unitList) {
            this.table.add(new HouseCqqfczhtjkclTableVo(unit));
        }
    }
}
