package com.nokia.finance.tasks.car;

import com.nokia.finance.tasks.jobs.car.cxdp.CarCxdpJob;
import com.nokia.finance.tasks.jobs.car.strategy.CarHighFuelConsumptionJob;
import com.nokia.finance.tasks.jobs.car.strategy.CarHighRepairJob;
import com.nokia.finance.tasks.jobs.car.strategy.CarInefficiencyPercentJob;
import com.nokia.finance.tasks.jobs.car.strategy.CarInefficiencyQxJob;
import com.nokia.finance.tasks.jobs.car.strategy.CarRentalRepairJob;
import com.nokia.finance.tasks.jobs.car.strategy.CarViolationUnprocessedJob;
import com.nokia.finance.tasks.jobs.car.strategy.CarWdyjJob;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

@Slf4j
@SpringBootTest
@ActiveProfiles("dev")
class CarStrategyJobTests {
    @Autowired
    CarWdyjJob carWdyjJob;
    @Autowired
    CarHighFuelConsumptionJob carHighFuelConsumptionJob;
    @Autowired
    CarHighRepairJob carHighRepairJob;
    @Autowired
    CarInefficiencyPercentJob carInefficiencyPercentJob;
    @Autowired
    CarInefficiencyQxJob carInefficiencyQxJob;
    @Autowired
    CarRentalRepairJob carRentalRepairJob;
    @Autowired
    CarViolationUnprocessedJob carViolationUnprocessedJob;
    @Autowired
    CarCxdpJob carCxdpJob;

    @Test
    void runJobTest() {
//        carWdyjJob.runJob();
//        carHighFuelConsumptionJob.runJob();
//        carHighRepairJob.runJob();
//        carInefficiencyPercentJob.runJob();
//        carInefficiencyQxJob.runJob();
//        carRentalRepairJob.runJob();
//        carViolationUnprocessedJob.runJob();
        carCxdpJob.runJob();
    }

}
